/*
Enter/Exit Turf Lib.
Version 2.1
Sniper Joe

Usage.
If you want a direction that you can't exit add it to the Exit_Dir list.
If you want a direction that can't be entered, add it to the Enter_Dir list.
Possibly values to go in the list are..
NORTH,SOUTH,EAST,WEST,NORTHWEST,NORTHEAST,SOUTHWEST,SOUTHEAST
If you have the turf set as density = 1, none of the above will take effect.
*/
turf
	var
		list/Exit_Dirs = list() // Exit list
		list/Enter_Dirs = list() // Enter list

	Exit(atom/M)
		if(istype(M,/mob/))
			var/mob/P = M
			if(src.density) return 0
			if(src.Exit_Dirs.len<=0) return 1
			else
				if(src.Exit_Dirs.Find(P.dir)) return 0
				else return 1
	Enter(atom/M)
		if(istype(M,/mob/))
			var/mob/P = M
			if(src.density) return 0
			if(src.Exit_Dirs.len<=0) return 1
			else
				if(src.Enter_Dirs.Find(P.dir)) return 0
				else return 1
	Grass_2
		icon = 'Test.dmi'
		icon_state = "1"
		Exit_Dirs = list(NORTH)


